---
title: "Delete relation tuple"
url: https://hexelstudio.com/docs/api/ciam-iam/relations/delete
---

# Delete relation tuple

**DELETE** `/relations`

Deletes a tuple of the caller's organization.

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Body parameters

- `namespace: string`

- `object_id: string`

- `organization_id: optional string`

  OrganizationID is ignored: tuples are deleted in the caller's
organization. Kept so existing request bodies still bind.

- `relation: string`

- `subject_id: string`

- `subject_type: string`

## Returns

`204` No Content

## Errors

- `400` Bad Request
- `500` Internal Server Error

## Example

```bash
curl --request DELETE \
  --url 'https://api.hexelstudio.com/v1/relations' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'Content-Type: application/json' \
  --data '{
  "namespace": "string",
  "object_id": "string",
  "organization_id": "string",
  "relation": "string",
  "subject_id": "string",
  "subject_type": "string"
}'
```

### Response (400)

```json
{
  "key": "string"
}
```

### Response (500)

```json
{
  "key": "string"
}
```
